Import Online Gifts

The Import Online Gifts service allows a batch of gifts to be entered directly into the Pushpay system. This service does NOT process any payments. If an individual id of '0' is provided the service will attempt to match the individual gift to an individual using the contact information (first name, last name, address and email address).

Service Name

import_online_gifts

Required Parameters

NameTypeDescription
online_gift merchant-transaction-idstring[50]
merchant_authorization_codestring[10]
merchant_process_datedatetime
payment_method_typestring[20]Valid inputs: '', 'Other', 'MC', 'VISA','AMEX', 'DISC'
campus_idinteger
individual idintegerIf the individual id is not available, '0' is a valid parameter value.
first_namestring[20]
last_namestring[20]
emailstring[100]
street_addressstring[150]
citystring[30]
statestring[3]
zipstring[10]
phonestring[50]The type=“mobile” is not required. However, the type is provided in the response to distinguish what type of phone number is stored.
coa_idinteger
amountdecimal

Optional Parameters

NameTypeDescription
merchant_namestring[50]Unique merchant name used for individual matching.
merchant_individual_idstring[50]Used to associate the individual in the application to the merchant information.
merchant_notesstring[100]
merchant_statusstring[10]Valid inputs: '', 'Completed', 'Paid', 'Processing', 'Settled', 'Voided'
merchant_process_datedatetimeIf a merchant_process_date value is provided the merchant_status must be 'Settled'.
merchant_process_idstring[50]
merchant_schedule_idinteger
payment_methodstring[20]Valid inputs: '', 'API', 'API - ACH', 'API - CCard'
transaction_datedatetimeDate of the transaction. If null, the current date is assumed. Future dates are not allowed.

Example Curl

curl -u user:pass -F filedata=@your_local_file_location "https://yourchurch.ccbchurch.com/api.php?srv=import_online_gifts"

Example Input XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <online_gifts>
    <online_gift merchant-transaction-id="fc6bb535-7408-46b7-8cb3-32340d8c7327">
      <merchant_name>Merchant's Name</merchant_name>
      <merchant_individual_id>512345612321</merchant_individual_id>
      <merchant_authorization_code>00654F</merchant_authorization_code>
      <merchant_notes></merchant_notes>
      <merchant_status>Settled</merchant_status>
      <merchant_process_date>2015-10-05 01:15:23</merchant_process_date>
      <merchant_process_id></merchant_process_id>
      <merchant_schedule_id></merchant_schedule_id>
      <payment_method>API - CCard</payment_method>
      <payment_method_type>VISA</payment_method_type>
      <campus_id>1</campus_id>
      <individual id="0">
        <first_name>Brett</first_name>
        <last_name>Smith</last_name>
        <email>[email protected]</email>
        <address>
          <street_address>231 Nowhere</street_address>
          <city>City</city>
          <state>CO</state>
          <zip>12345</zip>
          <country code="US">United States</country>
        </address>
        <phones>
          <phone type="mobile">9876543210</phone>
        </phones>
      </individual>
      <gifts>
        <gift>
          <coa_id>15</coa_id>
          <amount>25.00</amount>
        </gift>
      </gifts>
    </online_gift>
    <online_gift merchant-transaction-id="c8eac3c6-6f16-4cd7-9fc1-4d8e532fe237">
      <merchant_name>Merchant's Name</merchant_name>
      <merchant_individual_id>654820374196</merchant_individual_id>
      <merchant_authorization_code>00354G</merchant_authorization_code>
      <merchant_notes></merchant_notes>
      <merchant_status></merchant_status>
      <merchant_process_date></merchant_process_date>
      <merchant_process_id></merchant_process_id>
      <merchant_schedule_id></merchant_schedule_id>
      <payment_method>API - CCard</payment_method>
      <payment_method_type>Other</payment_method_type>
      <campus_id>1</campus_id>
      <individual id="1354">
        <first_name>Spike</first_name>
        <last_name>Smith</last_name>
        <email>[email protected]</email>
        <address>
          <street_address>123 Any Street</street_address>
          <city>City</city>
          <state>CO</state>
          <zip>12345</zip>
          <country code="US">United States</country>
        </address>
        <phones>
          <phone type="mobile">6549873210</phone>
        </phones>
      </individual>
      <gifts>
        <gift>
          <coa_id>31</coa_id>
          <amount>25.00</amount>
        </gift>
        <gift>
          <coa_id>15</coa_id>
          <amount>10.00</amount>
        </gift>
      </gifts>
    </online_gift>
    <online_gift merchant-transaction-id="fc6bb535-7408-46b7-8cb3-32340d8c7327">
      <merchant_name>Merchant's Name</merchant_name>
      <merchant_individual_id>512345612321</merchant_individual_id>
      <merchant_authorization_code>00654F</merchant_authorization_code>
      <merchant_notes></merchant_notes>
      <merchant_status></merchant_status>
      <merchant_process_date></merchant_process_date>
      <merchant_process_id></merchant_process_id>
      <merchant_schedule_id></merchant_schedule_id>
      <payment_method>API - ACH</payment_method>
      <payment_method_type></payment_method_type>
      <campus_id>1</campus_id>
      <individual id="0">
        <first_name>Becky</first_name>
        <last_name>Smith</last_name>
        <email>[email protected]</email>
        <address>
          <street_address>815 Somewhere</street_address>
          <city>City</city>
          <state>CO</state>
          <zip>12345</zip>
          <country code="US">United States</country>
        </address>
        <phones>
          <phone type="mobile">9876585210</phone>
        </phones>
      </individual>
      <gifts>
        <gift>
          <coa_id>15</coa_id>
          <amount>15.00</amount>
        </gift>
      </gifts>
    </online_gift>
  </online_gifts>
</ccb_api>

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
     <request>
          <parameters>
               <argument value="import_online_gifts" name="srv"/>
          </parameters>
     </request>
     <response>
          <service></service>
          <service_action>execute</service_action>
          <availability>public</availability>
          <online_gifts count="3">
               <online_gift id="16577" merchant_transaction_id="fc6bb535-7408-46b7-8cb3-32340d8c7327">
                    <confirmation_code>DXM</confirmation_code>
                    <amount>25.00</amount>
                    <payment_method>API - CCard</payment_method>
                    <payment_method_type>VISA</payment_method_type>
                    <individual id="0">
                         <first_name>Brett</first_name>
                         <last_name>Smith</last_name>
                         <email>[email protected]</email>
                         <address>
                              <street_address>231 Nowhere</street_address>
                              <city>City</city>
                              <state>CO</state>
                              <zip>12345</zip>
                              <phone type="mobile">9876543210</phone>
                         </address>
                    </individual>
                    <gifts>
                         <gift>
                              <coa_id>15</coa_id>
                              <amount>25.00</amount>
                         </gift>
                    </gifts>
               </online_gift>
               <online_gift id="16578" merchant_transaction_id="c8eac3c6-6f16-4cd7-9fc1-4d8e532fe237">
                    <confirmation_code>T85</confirmation_code>
                    <amount>35.00</amount>
                    <payment_method>API - CCard</payment_method>
                    <payment_method_type>Other</payment_method_type>
                    <individual id="1354">
                         <first_name>Spike</first_name>
                         <last_name>Smith</last_name>
                         <email>[email protected]</email>
                         <address>
                              <street_address>123 Any Street</street_address>
                              <city>City</city>
                              <state>CO</state>
                              <zip>12345</zip>
                              <phone type="mobile">6549873210</phone>
                         </address>
                    </individual>
                    <gifts>
                         <gift>
                              <coa_id>31</coa_id>
                              <amount>25.00</amount>
                         </gift>
                         <gift>
                              <coa_id>15</coa_id>
                              <amount>10.00</amount>
                         </gift>
                    </gifts>
               </online_gift>
               <online_gift id="16579" merchant_transaction_id="fc6bb535-7408-46b7-8cb3-32340d8c7327">
                    <confirmation_code>J8B</confirmation_code>
                    <amount>15.00</amount>
                    <payment_method>API - ACH</payment_method>
                    <payment_method_type></payment_method_type>
                    <individual id="0">
                         <first_name>Becky</first_name>
                         <last_name>Smith</last_name>
                         <email>[email protected]</email>
                         <address>
                              <street_address>815 Somewhere</street_address>
                              <city>City</city>
                              <state>CO</state>
                              <zip>12345</zip>
                              <phone type="mobile">9876585210</phone>
                         </address>
                    </individual>
                    <gifts>
                         <gift>
                              <coa_id>15</coa_id>
                              <amount>15.00</amount>
                         </gift>
                    </gifts>
               </online_gift>
          </online_gifts>
     </response>
</ccb_api>